> ## Documentation Index
> Fetch the complete documentation index at: https://orchata.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Space

> Retrieve a single space by ID



## OpenAPI

````yaml api/openapi.json get /api/spaces/{id}
openapi: 3.1.0
info:
  version: '0.1'
  title: Orchata API
servers:
  - url: https://api.orchata.ai
    description: Orchata API Server
security:
  - ApiKey: []
paths:
  /api/spaces/{id}:
    get:
      tags:
        - Spaces
      summary: Get Space
      description: Retrieve a single space by ID
      parameters:
        - schema:
            type: string
            example: space_123
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Successfully retrieved space
          content:
            application/json:
              schema:
                type: object
                properties:
                  space:
                    type: object
                    properties:
                      id:
                        type: string
                      orgId:
                        type: string
                      name:
                        type: string
                      slug:
                        type: string
                      icon:
                        type: string
                        enum:
                          - folder
                          - book
                          - file-text
                          - database
                          - package
                          - archive
                          - briefcase
                          - inbox
                          - layers
                          - box
                      description:
                        type: string
                      isArchived:
                        type: boolean
                      archivedAt:
                        type:
                          - string
                          - 'null'
                        format: date-time
                      metadata:
                        $ref: '#/components/schemas/SpaceMetadata'
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                    required:
                      - id
                      - orgId
                      - name
                      - slug
                      - icon
                      - description
                      - isArchived
                      - archivedAt
                      - createdAt
                      - updatedAt
                required:
                  - space
        '404':
          description: Space not found
      x-codeSamples:
        - lang: typescript
          label: TypeScript SDK
          source: |-
            import { Orchata } from '@orchata-ai/sdk';

            const client = new Orchata({ apiKey: 'oai_your_api_key' });

            const { space } = await client.spaces.get('space_123');
components:
  schemas:
    SpaceMetadata:
      type: object
      additionalProperties: {}
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: Oai-Api-Key

````